#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

puts"ポケモソモンスター 探究部"
sleep(1)
puts"起動中..."
sleep(2)
puts"何をしますかの?"
puts"1:ポケモソ図鑑"
puts"2:プログラムの終了"

while true
  puts"答えを入力"
  sentaku = gets.to_i
  if sentaku == 1
    puts"どれを開きますか?"
    puts"#665 てるぼー"
    puts"#666 てるやー"
    puts"#667 テル(センシティブな内容が含まれている可能性のあるメディアです。設定を変更)"
    kekka = gets.to_i
    if kekka == 665
      puts""
      puts"《#665 てるぼー》\nソヴィエトポケモソ\nこおり・あく タイプ\n特性:どくさい\n敵味方の状態変化を独占できる\n\n【技】\nれいとうパンチ\nかまとつち\nふるいたてる\nふいうち\n\n『個体値』\nH80\nA75\nB60\nC20\nD35\nS30\n\n説明\nまだ成長段階の状態。ソヴィエトの誇りを持って敵に挑むまだ助かる可能性があった。"
    end

    if kekka == 666
      puts""
      puts"《#666 てるやー》\nひめみつぎポケモソnフェアリー・あく タイプ\n特性:ヒメに貢ぐ\nフィールドに♀ポケモソがいたらランダムに♀ポケモソの性能を2段階上昇させる\n\n【技】\nふいうち\nあまえる\nじゃれつく\nヒメだもん\n(フェアリー威力100命中、85、30%の確率で混乱する)\n\n『個体値』\nH85\nA90\nB70\nC35\nD85\nS50\n\n説明\n狂いに狂ってしまった。これを止めようと何人も動いたが意味はなかった"
    end
    if kekka == 667
      puts""
      puts"《#667 テル(表示できません。設定を変更)》\n(表示できません。設定を変更)ポケモソ\nどく・フェアリー タイプ\n特性:ボイスチェンジャー\n(声系の技のタイプにどくとフェアリーを追加する。声系の技の威力が1.2倍になる。)\n\n【技】\nパイパーボイス\nどくどく\nチャームボイス\n猫耳ヘッドホン\n(まもるの効果+攻撃してきた相手のAを1段階下げる、40%の確率で麻痺か混乱になる)\n\n『個体値』\nH400\nA60\nB102\nC100\nD105\nS55\n\n説明\nてるやーが(表示できません。設定を変更)に目覚めた姿。(表示できません。設定を変更)と(表示できません。設定を変更)により鍛えられ防御面が上昇した"
    end
  end
    if  sentaku == 2
      puts"プログラムを終了します"
      sleep(1)
      break
    end
end
